2007-2008

grote opkuis (kabelgoten) (relix\' shitlist)

eerste TV

Ugentu fail

DICT crackdown

2010-11

eerste deelname 12ul

herschildering

2011-12

eerste zeuspulls

eerste geeks attack

hydra

2012-2013

-nieuwe cammie

2013-14:

-slack

-slotmachien

-king kapot

2014-15:

-gamification

-abyss+prince

-tv upgrade door stijn

-blokmap

-stp op 12ul

-renovatie + muziek

-vrouwen int bestuur

2015-16

-wegvallen van gouden generatie (weesprojectjes)

-bestuurshervormingen?

-lana

-rms

toekomst:

tabp
